import bpy

from .. import bl_info,addon_id
from ..utils.preferences import get_prefs
# ad = bpy.context.preferences.addons[addon_id]
# pref = ad.preferences
# name = pref.cat_name

class PanelBase(bpy.types.Panel):
    bl_label = ""
    bl_region_type = "UI"
    bl_category = bl_info["name"]
    bl_space_type = "VIEW_3D"
    bl_options = {"DEFAULT_CLOSED"}

    @classmethod
    def get_cls(cls):
        return cls.__class__

    @classmethod
    def set_merge(cls, merge):
        cls.bl_category = "Rubens Addons" if merge else bl_info["name"]
        bpy.utils.unregister_class(cls)
        bpy.utils.register_class(cls)
