import bpy
from bpy.types import Operator

from ..utils.presets import install_presets
from .. import addon_id


class INSTANTCLEAN_OT_ReinstallPresets(Operator):
    bl_idname = "instantclean.reinstall_presets"
    bl_label = "Reinstall Standard Presets"

    def execute(self, context):
        install_presets(replace=True)
        self.report({"INFO"}, message="Reinstalled standard presets successfully!")
        return {"FINISHED"}
